Bug 104324 - LTP test clone03 and clone06 fails on xSeries i386-4GB
LTP test clone03 and clone06 fails on xSeries i386-4GB
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-09-12 12:30 EDT by Carlos Blas
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-28 00:43:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carlos Blas 2003-09-12 12:30:01 EDT
Description of problem:
      Check for equality of pid of child & return value of clone(2)
      This test opens a pipe and with the proper options loops. It executes the 
clone02 testcase without SIGCHILD.  It compares Child pid to pid value returned 
from clone02 execution, if equalTest passed else test failed.

We noticed that changing the child stack size caused the tests to pass. We ran 
a modified version of these tests so that we could print out more relevant data.
Here is the output in the log file before and after we changed the child stack 

> clone03.c:
> Before:
> [root@tmobile clone]# ./clone03
> clone03     1  FAIL  :  Test failed - test return = 2500
> clone03     2  FAIL  :  Test failed - child pid = 0
> [root@tmobile clone]#
> After increasing CHILD_STACK_SIZE to 2048
> [root@tmobile clone]# ./clone03
> clone03     1  PASS  :  Test passed
> clone03     2  PASS  :  Test passed - test return = 32222
> clone03     3  PASS  :  Test passed - child pid = 32222

      Test to verify inheritance of environment variables by child.
      This tests when given the proper options loops and executes the clone 
testscase. It compares child TERM value with Parent TERM value, if same Test 
Passed else Test failed.

Here is the output in the log file before and after we changed the child stack 
> clone06.c:
> Before
> [root@tmobile clone]# ./clone06
> clone06     1  FAIL  :  Test Failed
> clone06     2  FAIL  :  Test failed - parent env = xterm
> clone06     3  FAIL  :  Test failed - buff= T 20
> After changing CHILD_STACK_SIZE to 4096 from 1024:
> [root@tmobile clone]# ./clone06
> clone06     1  PASS  :  Test Passed
> clone06     2  PASS  :  Test passed - parent env = xterm
> clone06     3  PASS  :  Test passed - buff= xterm

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.run clone03 and clone06
Actual results:

Expected results:

Additional info:
Comment 3 Ernie Petrides 2005-10-28 00:43:33 EDT
This problem was due to an old setting for CHILD_STACK_SIZE (1024) in the
LTP source code that was too low for the tests being performed.  The latest
version of LTP (20051005) now uses a CHILD_STACK_SIZE value of 16384, which
enables these clone tests to succeed.

Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.